smart_pointer.h File Reference

`smart_pointer` - with true copy semantic More...

Go to the source code of this file.

## Classes

class | smart_pointer_base< T, C >
struct | smart_pointer_base< T, C >::internal
struct | constructor_copy< T >
struct | clone_copy< T >
struct | no_copy< T >
class | smart_pointer< T >
| see the `smart_pointer` page for the full documentation More...
class | smart_pointer_clone< T >
class | smart_pointer_nocopy< T >

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::details

## Detailed Description

`smart_pointer` - with true copy semantic

Definition in file smart_pointer.h.